<?php

namespace HelpGent\App\DTO;

defined( 'ABSPATH' ) || exit;

class AttachmentUploadSessionDTO {
    private int $id;

    private string $title;

    private int $file_size;

    private string $mime_type;

    private string $storage;

    private int $last_sent_bytes = 0;

    private ?string $ref = null;
    
    private string $upload_token;

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }
    
    /**
     * Set the value of id
     *
     * @param int $id
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;
    
        return $this;
    }

    /**
     * Get the value of title
     *
     * @return string
     */
    public function get_title(): string {
        return $this->title;
    }
    
    /**
     * Set the value of title
     *
     * @param string $title
     * @return self
     */
    public function set_title( string $title ): self {
        $this->title = $title;
    
        return $this;
    }

    /**
     * Get the value of file_size
     *
     * @return int
     */
    public function get_file_size(): int {
        return $this->file_size;
    }
    
    /**
     * Set the value of file_size
     *
     * @param int $file_size
     * @return self
     */
    public function set_file_size( int $file_size ): self {
        $this->file_size = $file_size;
    
        return $this;
    }

    /**
     * Get the value of mime_type
     *
     * @return string
     */
    public function get_mime_type(): string {
        return $this->mime_type;
    }
    
    /**
     * Set the value of mime_type
     *
     * @param string $mime_type
     * @return self
     */
    public function set_mime_type( string $mime_type ): self {
        $this->mime_type = $mime_type;
    
        return $this;
    }

    /**
     * Get the value of storage
     *
     * @return string
     */
    public function get_storage(): string {
        return $this->storage;
    }
    
    /**
     * Set the value of storage
     *
     * @param string $storage
     * @return self
     */
    public function set_storage( string $storage ): self {
        $this->storage = $storage;
    
        return $this;
    }

    /**
     * Get the value of last_sent_bytes
     *
     * @return int
     */
    public function get_last_sent_bytes(): int {
        return $this->last_sent_bytes;
    }
    
    /**
     * Set the value of last_sent_bytes
     *
     * @param int $last_sent_bytes
     * @return self
     */
    public function set_last_sent_bytes( int $last_sent_bytes ): self {
        $this->last_sent_bytes = $last_sent_bytes;
    
        return $this;
    }

    /**
     * Get the value of ref
     *
     * @return ?string
     */
    public function get_ref(): ?string {
        return $this->ref;
    }
    
    /**
     * Set the value of ref
     *
     * @param ?string $ref
     * @return self
     */
    public function set_ref( ?string $ref ): self {
        $this->ref = $ref;
    
        return $this;
    }

    /**
     * Get the value of upload_token
     *
     * @return string
     */
    public function get_upload_token(): string {
        return $this->upload_token;
    }
    
    /**
     * Set the value of upload_token
     *
     * @param string $upload_token
     * @return self
     */
    public function set_upload_token( string $upload_token ): self {
        $this->upload_token = $upload_token;
    
        return $this;
    }
}